Subject: Re: bug#30675: Ask the user what to do when shr-make-table: Variable binding depth exceeds max-specpdl-size

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 Apr 2018 15:43:14 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 13 Apr 2018 13:48:22 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'd feel much better with a lower factor, e.g. some value that is just
> > enough to cover this case plus some slack.  Bonus points for providing
> > a defcustom with the factor, so that users could change that.
> 
> The problem is that HTML may nest arbitrarily deep, so there isn't
> really any way to cover this completely.  But the larger the stack size
> is, the lower the possibility for hitting the limit is.
> 
> FWIW, I haven't hit the limit in about a year, so it's rare for people
> to encounter HTML that's that deeply nested.

Which probably means ten-fold increase is too much.  Would increasing
the limit twice fix this problem?  If so, then let's do that in
shr.el.

> why consult the user at all?  :-)

Because there's a possibility of infinite recursion.  So the question
actually boils down to "how much do you trust the code which caused
this?"  And I'm guessing the answer will tend to be NO with each
additional prompt from the same command.